Index: src/backend/commands/prepare.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/backend/commands/prepare.c,v
retrieving revision 1.3
diff -c -r1.3 prepare.c
*** src/backend/commands/prepare.c	14 Sep 2002 19:59:20 -0000	1.3
--- src/backend/commands/prepare.c	16 Sep 2002 03:08:31 -0000
***************
*** 76,89 ****
  		Query	   *query = (Query *) lfirst(query_list_item);
  		Plan	   *plan;
  
! 		/* We can't generate plans for utility statements. */
! 		if (query->commandType == CMD_UTILITY)
! 			plan = NULL;
! 		else
! 		{
! 			/* Call the query planner to generate a plan. */
! 			plan = planner(query);
! 		}
  
  		plan_list = lappend(plan_list, plan);
  	}
--- 76,82 ----
  		Query	   *query = (Query *) lfirst(query_list_item);
  		Plan	   *plan;
  
! 		plan = pg_plan_query(query);
  
  		plan_list = lappend(plan_list, plan);
  	}
Index: src/backend/storage/buffer/bufmgr.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/backend/storage/buffer/bufmgr.c,v
retrieving revision 1.133
diff -c -r1.133 bufmgr.c
*** src/backend/storage/buffer/bufmgr.c	14 Sep 2002 19:59:20 -0000	1.133
--- src/backend/storage/buffer/bufmgr.c	16 Sep 2002 02:55:50 -0000
***************
*** 842,853 ****
  	}
  }
  
- 
- long		NDirectFileRead;	/* some I/O's are direct file access.
- 								 * bypass bufmgr */
- long		NDirectFileWrite;	/* e.g., I/O in psort and hashjoin. */
- 
- 
  /*
   * Return a palloc'd string containing buffer usage statistics.
   */
--- 842,847 ----
***************
*** 876,884 ****
  	appendStringInfo(&str,
  					 "!\tLocal  blocks: %10ld read, %10ld written, buffer hit rate = %.2f%%\n",
  					 ReadLocalBufferCount - LocalBufferHitCount, LocalBufferFlushCount, localhitrate);
- 	appendStringInfo(&str,
- 					 "!\tDirect blocks: %10ld read, %10ld written\n",
- 					 NDirectFileRead, NDirectFileWrite);
  
  	return str.data;
  }
--- 870,875 ----
***************
*** 892,899 ****
  	LocalBufferHitCount = 0;
  	ReadLocalBufferCount = 0;
  	LocalBufferFlushCount = 0;
- 	NDirectFileRead = 0;
- 	NDirectFileWrite = 0;
  }
  
  /*
--- 883,888 ----
Index: src/backend/tcop/postgres.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/backend/tcop/postgres.c,v
retrieving revision 1.291
diff -c -r1.291 postgres.c
*** src/backend/tcop/postgres.c	4 Sep 2002 20:31:26 -0000	1.291
--- src/backend/tcop/postgres.c	16 Sep 2002 03:07:35 -0000
***************
*** 486,492 ****
  	if (Show_planner_stats)
  		ResetUsage();
  
! 	/* call that optimizer */
  	plan = planner(querytree);
  
  	if (Show_planner_stats)
--- 486,492 ----
  	if (Show_planner_stats)
  		ResetUsage();
  
! 	/* call the optimizer */
  	plan = planner(querytree);
  
  	if (Show_planner_stats)
***************
*** 2077,2083 ****
  #endif   /* HAVE_GETRUSAGE */
  
  	bufusage = ShowBufferUsage();
! 	appendStringInfo(&str, "! postgres usage stats:\n%s", bufusage);
  	pfree(bufusage);
  
  	/* remove trailing newline */
--- 2077,2083 ----
  #endif   /* HAVE_GETRUSAGE */
  
  	bufusage = ShowBufferUsage();
! 	appendStringInfo(&str, "! buffer usage stats:\n%s", bufusage);
  	pfree(bufusage);
  
  	/* remove trailing newline */
Index: src/include/executor/execdebug.h
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/include/executor/execdebug.h,v
retrieving revision 1.20
diff -c -r1.20 execdebug.h
*** src/include/executor/execdebug.h	20 Jun 2002 20:29:49 -0000	1.20
--- src/include/executor/execdebug.h	16 Sep 2002 02:08:47 -0000
***************
*** 295,301 ****
   */
  #undef NOTYET
  
! extern long NDirectFileRead;
! extern long NDirectFileWrite;
! 
! #endif   /* ExecDebugIncluded */
--- 295,298 ----
   */
  #undef NOTYET
  
! #endif	/* EXECDEBUG_H */
